knowledge-bases-book-pages-embedding-manifests-post-one

Source

  • Repository: jef-systems/jef-knowledge-bases-backend

  • Source Run ID: 25225199457

  • Source SHA: aa5ff95e9fc61b1117b4e8fbff26c3c0f37efea2

  • Module: knowledge-bases

  • Documentation Scope: async

  • Lambda: jef-knowledge-bases-post-10

Endpoint

  • API Name: jef-knowledge-bases

  • Action Name: post

  • Method: POST

  • Scope Label: Async

  • Resource Path: /knowledge-bases-book-pages-embedding-manifests-post-one

  • Complete Endpoint: https://in42anzkh6.execute-api.ap-southeast-1.amazonaws.com/prod/knowledge-bases-book-pages-embedding-manifests-post-one

  • Lambda ARN: arn:aws:lambda:ap-southeast-1:246715082475:function:jef-knowledge-bases-post-10

  • curl payload mode: json_body

API Gateway Description

Function: jef-knowledge-bases-post-10
Module: jef-knowledge-bases
Action: post
Method: POST
Invocation Mode: ASYNC
Resource Path: /knowledge-bases-book-pages-embedding-manifests-post-one

API Gateway Response:
- status_code: 202
- message: Request accepted for asynchronous processing.

Table:
- table: jef-knowledge-bases-book-pages-embedding-manifests

Payload Example:
- pk: embed-manifest-document-001-page-0001-v1
- gsi_1_pk: document-001
- gsi_1_sk: 0001
- embedding_manifest_id: embed-manifest-document-001-page-0001-v1
- document_id: document-001
- page_id: document-001-page-0001
- book_version: v1
- knowledge_base_id: kb-001
- book_id: book-001
- book_slug: sample-book
- slug: sample-book-page-0001-embedding-manifest
- name: Sample Book Page 0001 Embedding Manifest
- title: Sample Knowledge Base Book
- source_hash: sample-source-hash
- text_hash: sample-text-hash
- source_type: pdf
- source_uri: s3://sample-bucket/knowledge-bases/sample-book.pdf
- s3_bucket: sample-bucket
- s3_key: knowledge-bases/sample-book.pdf
- content_type: application/pdf
- page_number: 1
- page_number_padded: 0001
- page_label: 1
- aws_region: ap-southeast-1
- s3_vector_bucket_name: sample-vector-bucket
- s3_vector_index_name: sample-vector-index
- embedding_model: text-embedding-3-small
- embedding_dimensions: 1536
- chunk_count: 3
- embedded_count: 3
- written_count: 3
- failed_batch_count: 0
- chunk_size_chars: 1200
- chunk_overlap_chars: 150
- embed_batch_size: 64
- vector_put_batch_size: 100
- workflow: h1-test-embed-one-pdf-only
- pipeline_run_id: pipeline-run-001
- github_run_id: github-run-001
- manifest_uri: s3://sample-bucket/embedding-manifests/document-001/page-0001.json
- manifest_hash: sample-manifest-hash
- preview_uri: s3://sample-bucket/embedding-manifests/document-001/page-0001-preview.json
- failed_batches_uri:
- embedding_status: completed
- status: active
- active: True
- completed: True
- failed: False
- started_at: 2026-05-01T01:00:00+08:00
- completed_at: 2026-05-01T01:01:00+08:00
- failed_at:
- created_at: 2026-05-01T01:00:00+08:00
- updated_at: 2026-05-01T01:01:00+08:00
- error_message:
- idempotency_key: c9f7021f-568d-4c18-8d00-c0c92365c42c

Payload Schema:
- pk: string-{embedding_manifest_id}
- gsi_1_pk: string-{document_id}
- gsi_1_sk: string-{page_number_padded}
- embedding_manifest_id: string
- document_id: string
- page_id: string
- book_version: string
- knowledge_base_id: string
- book_id: string
- book_slug: string
- slug: string
- name: string
- title: string
- source_hash: string
- text_hash: string
- source_type: string
- source_uri: string
- s3_bucket: string
- s3_key: string
- content_type: string
- page_number: number
- page_number_padded: string
- page_label: string
- aws_region: string
- s3_vector_bucket_name: string
- s3_vector_index_name: string
- embedding_model: string
- embedding_dimensions: number
- chunk_count: number
- embedded_count: number
- written_count: number
- failed_batch_count: number
- chunk_size_chars: number
- chunk_overlap_chars: number
- embed_batch_size: number
- vector_put_batch_size: number
- workflow: string
- pipeline_run_id: string
- github_run_id: string
- manifest_uri: string
- manifest_hash: string
- preview_uri: string
- failed_batches_uri: string
- embedding_status: string
- status: string
- active: boolean
- completed: boolean
- failed: boolean
- started_at: string
- completed_at: string
- failed_at: string
- created_at: string
- updated_at: string
- error_message: string
- idempotency_key: string

Response Schema:
- is_accepted: boolean
- message: string

Request Payload

{
  "pk": "embed-manifest-document-001-page-0001-v1",
  "gsi_1_pk": "document-001",
  "gsi_1_sk": "0001",
  "embedding_manifest_id": "embed-manifest-document-001-page-0001-v1",
  "document_id": "document-001",
  "page_id": "document-001-page-0001",
  "book_version": "v1",
  "knowledge_base_id": "kb-001",
  "book_id": "book-001",
  "book_slug": "sample-book",
  "slug": "sample-book-page-0001-embedding-manifest",
  "name": "Sample Book Page 0001 Embedding Manifest",
  "title": "Sample Knowledge Base Book",
  "source_hash": "sample-source-hash",
  "text_hash": "sample-text-hash",
  "source_type": "pdf",
  "source_uri": "s3://sample-bucket/knowledge-bases/sample-book.pdf",
  "s3_bucket": "sample-bucket",
  "s3_key": "knowledge-bases/sample-book.pdf",
  "content_type": "application/pdf",
  "page_number": "1",
  "page_number_padded": "0001",
  "page_label": "1",
  "aws_region": "ap-southeast-1",
  "s3_vector_bucket_name": "sample-vector-bucket",
  "s3_vector_index_name": "sample-vector-index",
  "embedding_model": "text-embedding-3-small",
  "embedding_dimensions": "1536",
  "chunk_count": "3",
  "embedded_count": "3",
  "written_count": "3",
  "failed_batch_count": "0",
  "chunk_size_chars": "1200",
  "chunk_overlap_chars": "150",
  "embed_batch_size": "64",
  "vector_put_batch_size": "100",
  "workflow": "h1-test-embed-one-pdf-only",
  "pipeline_run_id": "pipeline-run-001",
  "github_run_id": "github-run-001",
  "manifest_uri": "s3://sample-bucket/embedding-manifests/document-001/page-0001.json",
  "manifest_hash": "sample-manifest-hash",
  "preview_uri": "s3://sample-bucket/embedding-manifests/document-001/page-0001-preview.json",
  "failed_batches_uri": "",
  "embedding_status": "completed",
  "status": "active",
  "active": "True",
  "completed": "True",
  "failed": "False",
  "started_at": "2026-05-01T01:00:00+08:00",
  "completed_at": "2026-05-01T01:01:00+08:00",
  "failed_at": "",
  "created_at": "2026-05-01T01:00:00+08:00",
  "updated_at": "2026-05-01T01:01:00+08:00",
  "error_message": "",
  "idempotency_key": "c9f7021f-568d-4c18-8d00-c0c92365c42c"
}

Response

{
  "is_accepted": "boolean",
  "message": "string"
}

CMD curl

curl -X POST "https://in42anzkh6.execute-api.ap-southeast-1.amazonaws.com/prod/knowledge-bases-book-pages-embedding-manifests-post-one" -H "Content-Type: application/json" --data-raw "{\"pk\": \"embed-manifest-document-001-page-0001-v1\", \"gsi_1_pk\": \"document-001\", \"gsi_1_sk\": \"0001\", \"embedding_manifest_id\": \"embed-manifest-document-001-page-0001-v1\", \"document_id\": \"document-001\", \"page_id\": \"document-001-page-0001\", \"book_version\": \"v1\", \"knowledge_base_id\": \"kb-001\", \"book_id\": \"book-001\", \"book_slug\": \"sample-book\", \"slug\": \"sample-book-page-0001-embedding-manifest\", \"name\": \"Sample Book Page 0001 Embedding Manifest\", \"title\": \"Sample Knowledge Base Book\", \"source_hash\": \"sample-source-hash\", \"text_hash\": \"sample-text-hash\", \"source_type\": \"pdf\", \"source_uri\": \"s3://sample-bucket/knowledge-bases/sample-book.pdf\", \"s3_bucket\": \"sample-bucket\", \"s3_key\": \"knowledge-bases/sample-book.pdf\", \"content_type\": \"application/pdf\", \"page_number\": 1, \"page_number_padded\": \"0001\", \"page_label\": \"1\", \"aws_region\": \"ap-southeast-1\", \"s3_vector_bucket_name\": \"sample-vector-bucket\", \"s3_vector_index_name\": \"sample-vector-index\", \"embedding_model\": \"text-embedding-3-small\", \"embedding_dimensions\": 1536, \"chunk_count\": 3, \"embedded_count\": 3, \"written_count\": 3, \"failed_batch_count\": 0, \"chunk_size_chars\": 1200, \"chunk_overlap_chars\": 150, \"embed_batch_size\": 64, \"vector_put_batch_size\": 100, \"workflow\": \"h1-test-embed-one-pdf-only\", \"pipeline_run_id\": \"pipeline-run-001\", \"github_run_id\": \"github-run-001\", \"manifest_uri\": \"s3://sample-bucket/embedding-manifests/document-001/page-0001.json\", \"manifest_hash\": \"sample-manifest-hash\", \"preview_uri\": \"s3://sample-bucket/embedding-manifests/document-001/page-0001-preview.json\", \"failed_batches_uri\": \"\", \"embedding_status\": \"completed\", \"status\": \"active\", \"active\": true, \"completed\": true, \"failed\": false, \"started_at\": \"2026-05-01T01:00:00+08:00\", \"completed_at\": \"2026-05-01T01:01:00+08:00\", \"failed_at\": \"\", \"created_at\": \"2026-05-01T01:00:00+08:00\", \"updated_at\": \"2026-05-01T01:01:00+08:00\", \"error_message\": \"\", \"idempotency_key\": \"c9f7021f-568d-4c18-8d00-c0c92365c42c\"}"

PowerShell curl

curl.exe -X POST "https://in42anzkh6.execute-api.ap-southeast-1.amazonaws.com/prod/knowledge-bases-book-pages-embedding-manifests-post-one" -H "Content-Type: application/json" --data-raw '{"pk": "embed-manifest-document-001-page-0001-v1", "gsi_1_pk": "document-001", "gsi_1_sk": "0001", "embedding_manifest_id": "embed-manifest-document-001-page-0001-v1", "document_id": "document-001", "page_id": "document-001-page-0001", "book_version": "v1", "knowledge_base_id": "kb-001", "book_id": "book-001", "book_slug": "sample-book", "slug": "sample-book-page-0001-embedding-manifest", "name": "Sample Book Page 0001 Embedding Manifest", "title": "Sample Knowledge Base Book", "source_hash": "sample-source-hash", "text_hash": "sample-text-hash", "source_type": "pdf", "source_uri": "s3://sample-bucket/knowledge-bases/sample-book.pdf", "s3_bucket": "sample-bucket", "s3_key": "knowledge-bases/sample-book.pdf", "content_type": "application/pdf", "page_number": 1, "page_number_padded": "0001", "page_label": "1", "aws_region": "ap-southeast-1", "s3_vector_bucket_name": "sample-vector-bucket", "s3_vector_index_name": "sample-vector-index", "embedding_model": "text-embedding-3-small", "embedding_dimensions": 1536, "chunk_count": 3, "embedded_count": 3, "written_count": 3, "failed_batch_count": 0, "chunk_size_chars": 1200, "chunk_overlap_chars": 150, "embed_batch_size": 64, "vector_put_batch_size": 100, "workflow": "h1-test-embed-one-pdf-only", "pipeline_run_id": "pipeline-run-001", "github_run_id": "github-run-001", "manifest_uri": "s3://sample-bucket/embedding-manifests/document-001/page-0001.json", "manifest_hash": "sample-manifest-hash", "preview_uri": "s3://sample-bucket/embedding-manifests/document-001/page-0001-preview.json", "failed_batches_uri": "", "embedding_status": "completed", "status": "active", "active": true, "completed": true, "failed": false, "started_at": "2026-05-01T01:00:00+08:00", "completed_at": "2026-05-01T01:01:00+08:00", "failed_at": "", "created_at": "2026-05-01T01:00:00+08:00", "updated_at": "2026-05-01T01:01:00+08:00", "error_message": "", "idempotency_key": "c9f7021f-568d-4c18-8d00-c0c92365c42c"}'